Subject: Re: [PATCH 2/2] drivers/ata: export some static functions in libata-core.c

From: [email-masked] (Linas Vepstas)
Date: Thu, 11 Jan 2007 11:17:06 -0600

On Thu, Jan 11, 2007 at 06:30:55PM +0900, Akira Iguchi wrote:
> Hi, Arnd-san.
> 
> Thank you for checking our patches.
> 
> >On Thursday 11 January 2007 09:56, Akira Iguchi wrote:
> >> This patch modifies some static functions in libata-core.c
> >> and libata.h to use them in ata_scc.c.
> >
> >Exporting new symbols needs some explanation here about why they
> >should now be global for ata_scc while the existing drivers
> >did not need them. Since the patch otherwise only moves stuff
> >around as needed, I assume it's good.
> 
> I thought it was better to use common functions as far as possible.

Yes, I agree that it is better to use common functions when possible.

Why is it that other drivers did not need this functions? Did they
copy them?  Or maybe they don't need them?

--linas